Type to search.

Get usage information

  • GET /_xpack/usage
Auth

Get information about the features that are currently enabled and available under the current license. The API also provides some usage statistics.

Required privileges

Cluster privileges monitor

Query parameters

master_timeout union oneOf · default: 30s

The period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error. To indicate that the request should never timeout, set it to -1.

Values: -1 0

Response

application/json
aggregate_metric object required
available boolean required
enabled boolean required
analytics object required
available boolean required
enabled boolean required
stats object required
boxplot_usage number required
cumulative_cardinality_usage number required
string_stats_usage number required
top_metrics_usage number required
t_test_usage number required
moving_percentiles_usage number required
normalize_usage number required
rate_usage number required
multi_terms_usage number
archive object required The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
available boolean required
enabled boolean required
indices_count number required
watcher object required
available boolean required
enabled boolean required
execution object required
actions map string to object required
<string> object
total union oneOf required
Values: -1 0
total_time_in_ms number required
watch object required
input map string to object required
<string> object
active number required
total number required
condition map string to object
action map string to object
trigger object required
_all object required
active number required
total number required
count object required
active number required
total number required
ccr object required
available boolean required
enabled boolean required
auto_follow_patterns_count number required
follower_indices_count number required
data_tiers object required
available boolean required
enabled boolean required
data_warm object required
node_count number required
index_count number required
total_shard_count number required
primary_shard_count number required
doc_count number required
total_size_bytes number required
primary_size_bytes number required
primary_shard_size_avg_bytes number required
primary_shard_size_median_bytes number required
primary_shard_size_mad_bytes number required
data_frozen object The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.13 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Same fields as data_warm in data_tiers
data_cold object required
Same fields as data_warm in data_tiers
data_content object required
Same fields as data_warm in data_tiers
data_hot object required
Same fields as data_warm in data_tiers
eql object required
available boolean required
enabled boolean required
features object required
join number required
joins object required
join_queries_two number required
join_queries_three number required
join_until number required
join_queries_five_or_more number required
join_queries_four number required
keys object required
join_keys_two number required
join_keys_one number required
join_keys_three number required
join_keys_five_or_more number required
join_keys_four number required
event number required
pipes object required
pipe_tail number required
pipe_head number required
sequence number required
sequences object required
sequence_queries_three number required
sequence_queries_four number required
sequence_queries_two number required
sequence_until number required
sequence_queries_five_or_more number required
sequence_maxspan number required
queries map string to object required
<string> object
count number
failed number
paging number
total number
graph object required
available boolean required
enabled boolean required
ilm object required
policy_count number required
policy_stats object[] required
indices_managed number required
phases object required
logstash object required
available boolean required
enabled boolean required
ml object required
available boolean required
enabled boolean required
datafeeds map string to object required
<string> object
count number required
jobs map string to object required

Job usage statistics. The _all entry is always present and gathers statistics for all jobs.

<string> object
count number required
created_by map string to number required
detectors object required
avg number required
max number required
min number required
total number required
forecasts object required
total number required
forecasted_jobs number required
model_size object required
avg number required
max number required
min number required
total number required
node_count number required
data_frame_analytics_jobs object required
_all object required
count number required
inference object required
ingest_processors map string to object required
<string> object
num_docs_processed object required
max number required
sum number required
min number required
pipelines object required
count number required
num_failures object required
max number required
sum number required
min number required
time_ms object required
max number required
sum number required
min number required
trained_models object required
_all object required
count number required
monitoring object required
available boolean required
enabled boolean required
collection_enabled boolean required
enabled_exporters map string to number required
rollup object required
available boolean required
enabled boolean required
spatial object required
available boolean required
enabled boolean required
searchable_snapshots object required
available boolean required
enabled boolean required
indices_count number required
full_copy_indices_count number
shared_cache_indices_count number
security object required
available boolean required
enabled boolean required
api_key_service object required
enabled boolean required
anonymous object required
enabled boolean required
audit object required
enabled boolean required
outputs string[]
fips_140 object required
enabled boolean required
ipfilter object required
http boolean required
transport boolean required
realms map string to object required
<string> object
available boolean required
enabled boolean required
name string[]
order number[]
size number[]
has_authorization_realms boolean[]
has_default_username_pattern boolean[]
has_truststore boolean[]
is_authentication_delegated boolean[]
role_mapping map string to object required
<string> object
enabled number required
size number required
roles object required
native object required
dls boolean required
fls boolean required
size number required
dls object required
bit_set_cache object required
count number required

Number of entries in the cache.

memory number | string

Human-readable amount of memory taken up by the cache.

memory_in_bytes number required

Memory taken up by the cache in bytes.

hits number required The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Total number of cache hits.

misses number required The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Total number of cache misses.

evictions number required The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Total number of cache evictions.

hits_time_in_millis number required The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Total combined time spent in cache for hits in milliseconds.

misses_time_in_millis number required The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Total combined time spent in cache for misses in milliseconds.

file object required
dls boolean required
fls boolean required
size number required
ssl object required
http object required
enabled boolean required
transport object required
enabled boolean required
token_service object required
enabled boolean required
operator_privileges object required
available boolean required
enabled boolean required
slm object required
available boolean required
enabled boolean required
policy_count number
sql object required
available boolean required
enabled boolean required
features map string to number required
queries map string to object required
<string> object
count number
failed number
paging number
total number
transform object required
available boolean required
enabled boolean required
voting_only object required
available boolean required
enabled boolean required